---
title: "Get Invoices"
slug: "get-invoices"
updated: 2026-02-25T13:56:58Z
published: 2026-02-25T13:57:17Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wasabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Invoices

Get/v1/invoices

Read invoices within the permissions of the user.

SecurityHTTPType basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the [Authentication Guide](https://docs.wasabi.com/apidocs/wacm-connect-api-authentication).

Query parameterspageinteger

Page number

sizeinteger

Number of items per page

idinteger

Filter by Invoice ID

governanceAccountIdinteger

Filter by Governance Account ID

controlAccountIdinteger

Filter by Control Account ID

subAccountIdinteger

Filter by Sub-Account ID

controlInvoiceIdinteger

Filter by Control Invoice ID

latestboolean

Retrieve only the latest invoice

fromstring (date) 

Start date (YYYY-MM-DD)

tostring (date) 

End date (YYYY-MM-DD)

subInvoiceIdinteger

Filter by Sub-Invoice ID

wasabiAccountNumberinteger

Filter by Wasabi account number

Responses200

Successfully retrieved invoices

<select class='api-response-data' aria-label='Media type'><option value='5890c384-4de3-4639-ad2b-363fe11288b1'>application/json</option>
</select>

```json
{
  "success": "True",
  "data": {
    "items": [
      {
        "id": "98765",
        "subInvoiceId": "112233",
        "subAccountId": "54321",
        "subAccountName": "Sample Sub-Account",
        "subAccountEmail": "subaccount@example.com",
        "channelAccountId": "7890",
        "channelAccountName": "Sample Channel Account",
        "channelAccountEmail": "channel@example.com",
        "controlAccountId": "13337",
        "controlAccountName": "Sample Control Account",
        "controlAccountEmail": "control@example.com",
        "governanceAccountId": "3214",
        "governanceAccountName": "Sample Governance",
        "controlInvoiceId": "445566",
        "periodStart": "2024-01-01",
        "periodEnd": "2024-01-31",
        "totalStorage": "2026-05-25T00:00:00Z",
        "activeStorage": "4.00",
        "activeStorageUnitCost": "5.99",
        "activeStorageTotalCost": "23.96",
        "deletedStorage": "2026-01-25T00:00:00Z",
        "deletedStorageUnitCost": "5.99",
        "deletedStorageTotalCost": "7.49",
        "apiCalls": "150000.00",
        "apiCallsUnitCost": "0.01",
        "apiCallsTotalCost": "1500.00",
        "ingress": "10.50",
        "ingressUnitCost": "0.00",
        "ingressTotalCost": "0.00",
        "egress": "25.75",
        "egressUnitCost": "0.04",
        "egressTotalCost": "2026-01-03T00:00:00Z",
        "minimumActiveStorage": "1.00",
        "minimumActiveStorageUnitCost": "5.99",
        "minimumActiveStorageTotalCost": "5.99",
        "wasabiAccountNumber": "100123456"
      }
    ],
    "page": "1",
    "size": "20",
    "total": "1"
  }
}
```

Expand Allobject  successboolean    
dataobject  items Array of object (InvoiceResponse)   object  idinteger    
subInvoiceIdinteger  (int64)    
subAccountIdinteger    
subAccountNamestring    
subAccountEmailstring    
channelAccountIdinteger    
channelAccountNamestring    
channelAccountEmailstring    
controlAccountIdinteger    
controlAccountNamestring    
controlAccountEmailstring    
governanceAccountIdinteger    
governanceAccountNamestring    
controlInvoiceIdinteger  (int64)    
periodStartstring  (date)    
periodEndstring  (date)    
totalStoragenumber    
activeStoragenumber    
activeStorageUnitCostnumber    
activeStorageTotalCostnumber    
deletedStoragenumber    
deletedStorageUnitCostnumber    
deletedStorageTotalCostnumber    
apiCallsnumber    
apiCallsUnitCostnumber    
apiCallsTotalCostnumber    
ingressnumber    
ingressUnitCostnumber    
ingressTotalCostnumber    
egressnumber    
egressUnitCostnumber    
egressTotalCostnumber    
minimumActiveStoragenumber    
minimumActiveStorageUnitCostnumber    
minimumActiveStorageTotalCostnumber    
wasabiAccountNumberinteger  (int64)    

pageinteger    
sizeinteger    
totalinteger
